"Not valid C++11 code, but dependencies require C++11"
./graphics/aqsis, Renderman clone

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.8.1nb48, Package name: aqsis-1.8.1nb48, Maintainer: pkgsrc-users

A RenderMan compliant renderer. Based on the REYES architecture,
Aqsis is designed for speed and memory efficiency. Complete
implementation of programmable shading.


Required to run:
[sysutils/desktop-file-utils] [graphics/tiff] [graphics/png] [graphics/openexr] [devel/boost-libs] [x11/qt4-libs] [graphics/ilmbase] [lang/python37]

Required to build:
[pkgtools/x11-links] [devel/boost-headers] [x11/xcb-proto] [x11/fixesproto4] [pkgtools/cwrappers] [x11/xorgproto]

Package options: qt4

Master sites:

RMD160: 12d13a851188339c99fa5cb7fc0d5ce40d077fd6
Filesize: 5531.042 KB

Version history: (Expand)


CVS history: (Expand)


   2021-10-07 16:13:27 by Nia Alarie | Files touched by this commit (800)
Log message:
graphics: Remove SHA1 hashes for distfiles
   2021-09-29 21:01:31 by Adam Ciarcinski | Files touched by this commit (872)
Log message:
revbump for boost-libs
   2021-08-15 16:24:03 by Thomas Klausner | Files touched by this commit (60)
Log message:
*: recursive bump for openexr 3.1
   2021-07-09 12:36:23 by Mark Davies | Files touched by this commit (1)
Log message:
aqsis: don't depend on imath, just let the openexr dependency pull it in.

can't actually tell if it builds with openexr3 as package is already marked
as broken.
   2021-07-09 10:59:32 by Jonathan Perkin | Files touched by this commit (2)
Log message:
*: ilmbase was removed, try imath.

No idea if they build, but this will at least unbreak bulk builds.
   2021-04-21 15:25:34 by Adam Ciarcinski | Files touched by this commit (864)
Log message:
revbump for boost-libs
   2021-01-01 09:24:59 by Ryo ONODERA | Files touched by this commit (266)
Log message:
*: Recursive revbump from boost-1.75.0
   2020-12-04 21:45:51 by Nia Alarie | Files touched by this commit (456)
Log message:
Revbump packages with a runtime Python dep but no version prefix.

For the Python 3.8 default switch.